cordova.define("cordova-plugin-nimaudiochat.NimAudioChatPlugin", function(require, exports, module) {
               
    var exec = require('cordova/exec');

    var NimAudioChatPlugin = function () {
        this.type = 'nimAudioChat'
    }

    NimAudioChatPlugin.prototype.init = function (callback) {
       var ok = function(){}
       var error = function(err){console.error('error when init', err)}
       exec(callback, error, "NimAudioChatPlugin", "init", []);
    }

    NimAudioChatPlugin.prototype.logout = function () {
       var ok = function(){}
       var error = function(err){console.error('error when logout', err)}
       exec(ok, error, "NimAudioChatPlugin", "logout", []);
    }

    NimAudioChatPlugin.prototype.joinChannel = function (uid, channelName, channelToken) {
       var ok = function(){}
       var error = function(err){console.error('error when joinChannel', err)}
       exec(ok, error, "NimAudioChatPlugin", "joinChannel", [uid, channelName, channelToken]);
    }

    NimAudioChatPlugin.prototype.leaveChannel = function () {
       var ok = function(){}
       var error = function(err){console.error('error when leaveChannel', err)}
       exec(ok, error, "NimAudioChatPlugin", "leaveChannel", []);
    }

    NimAudioChatPlugin.prototype.sendCustomSysMsg = function (account, content) {
       var ok = function(){}
       var error = function(err){console.error('error when sendCustomSysMsg', err)}
       exec(ok, error, "NimAudioChatPlugin", "sendCustomSysMsg", [account, content]);
    }

    var me = new NimAudioChatPlugin()

    module.exports = me;
});
