cordova.define("cordova-plugin-uctextinput.UCTextInputPlugin", function(require, exports, module) {
               
               var argscheck = require('cordova/argscheck'),
               utils = require('cordova/utils'),
               exec = require('cordova/exec');

var UCTextInputPlugin = function () {

    this.type = 'unknow'
}
               
UCTextInputPlugin.prototype.startInput = function (defaultText, keyboardType, rule, lineCount, maxLength, placeholder,  callback, errorCallback) {
    exec(callback, errorCallback, "UCTextInputPlugin", "startInput", [defaultText, keyboardType, rule, lineCount, maxLength, placeholder]);
}
                 
UCTextInputPlugin.prototype.endInput = function(successCallback, errorCallback) {
  exec( successCallback, errorCallback, "UCTextInputPlugin", "endInput", []);
};
                     
UCTextInputPlugin.prototype.setText = function(text, successCallback, errorCallback) {
  exec( successCallback, errorCallback, "UCTextInputPlugin", "setText", [text]);
};

var me = new UCTextInputPlugin();
module.exports = me;
    
});
