cordova.define('cordova/plugin_list', function(require, exports, module) {
module.exports = [
    {
        "id": "cordova-plugin-dialogs.notification",
        "file": "plugins/cordova-plugin-dialogs/www/notification.js",
        "pluginId": "cordova-plugin-dialogs",
        "merges": [
            "navigator.notification"
        ]
    },
    {
        "id": "cordova-plugin-file.DirectoryEntry",
        "file": "plugins/cordova-plugin-file/www/DirectoryEntry.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.DirectoryEntry"
        ]
    },
    {
        "id": "cordova-plugin-file.DirectoryReader",
        "file": "plugins/cordova-plugin-file/www/DirectoryReader.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.DirectoryReader"
        ]
    },
    {
        "id": "cordova-plugin-file.Entry",
        "file": "plugins/cordova-plugin-file/www/Entry.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.Entry"
        ]
    },
    {
        "id": "cordova-plugin-file.File",
        "file": "plugins/cordova-plugin-file/www/File.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.File"
        ]
    },
    {
        "id": "cordova-plugin-file.FileEntry",
        "file": "plugins/cordova-plugin-file/www/FileEntry.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.FileEntry"
        ]
    },
    {
        "id": "cordova-plugin-file.FileError",
        "file": "plugins/cordova-plugin-file/www/FileError.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.FileError"
        ]
    },
    {
        "id": "cordova-plugin-file.FileReader",
        "file": "plugins/cordova-plugin-file/www/FileReader.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.FileReader"
        ]
    },
    {
        "id": "cordova-plugin-file.FileSystem",
        "file": "plugins/cordova-plugin-file/www/FileSystem.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.FileSystem"
        ]
    },
    {
        "id": "cordova-plugin-file.FileUploadOptions",
        "file": "plugins/cordova-plugin-file/www/FileUploadOptions.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.FileUploadOptions"
        ]
    },
    {
        "id": "cordova-plugin-file.FileUploadResult",
        "file": "plugins/cordova-plugin-file/www/FileUploadResult.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.FileUploadResult"
        ]
    },
    {
        "id": "cordova-plugin-file.FileWriter",
        "file": "plugins/cordova-plugin-file/www/FileWriter.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.FileWriter"
        ]
    },
    {
        "id": "cordova-plugin-file.Flags",
        "file": "plugins/cordova-plugin-file/www/Flags.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.Flags"
        ]
    },
    {
        "id": "cordova-plugin-file.LocalFileSystem",
        "file": "plugins/cordova-plugin-file/www/LocalFileSystem.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.LocalFileSystem"
        ],
        "merges": [
            "window"
        ]
    },
    {
        "id": "cordova-plugin-file.Metadata",
        "file": "plugins/cordova-plugin-file/www/Metadata.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.Metadata"
        ]
    },
    {
        "id": "cordova-plugin-file.ProgressEvent",
        "file": "plugins/cordova-plugin-file/www/ProgressEvent.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.ProgressEvent"
        ]
    },
    {
        "id": "cordova-plugin-file.fileSystems",
        "file": "plugins/cordova-plugin-file/www/fileSystems.js",
        "pluginId": "cordova-plugin-file"
    },
    {
        "id": "cordova-plugin-file.requestFileSystem",
        "file": "plugins/cordova-plugin-file/www/requestFileSystem.js",
        "pluginId": "cordova-plugin-file",
        "clobbers": [
            "window.requestFileSystem"
        ]
    },
    {
        "id": "cordova-plugin-file.resolveLocalFileSystemURI",
        "file": "plugins/cordova-plugin-file/www/resolveLocalFileSystemURI.js",
        "pluginId": "cordova-plugin-file",
        "merges": [
            "window"
        ]
    },
    {
        "id": "cordova-plugin-file.isChrome",
        "file": "plugins/cordova-plugin-file/www/browser/isChrome.js",
        "pluginId": "cordova-plugin-file",
        "runs": true
    },
    {
        "id": "cordova-plugin-file.iosFileSystem",
        "file": "plugins/cordova-plugin-file/www/ios/FileSystem.js",
        "pluginId": "cordova-plugin-file",
        "merges": [
            "FileSystem"
        ]
    },
    {
        "id": "cordova-plugin-file.fileSystems-roots",
        "file": "plugins/cordova-plugin-file/www/fileSystems-roots.js",
        "pluginId": "cordova-plugin-file",
        "runs": true
    },
    {
        "id": "cordova-plugin-file.fileSystemPaths",
        "file": "plugins/cordova-plugin-file/www/fileSystemPaths.js",
        "pluginId": "cordova-plugin-file",
        "merges": [
            "cordova"
        ],
        "runs": true
    },
    {
        "id": "cordova-plugin-media.MediaError",
        "file": "plugins/cordova-plugin-media/www/MediaError.js",
        "pluginId": "cordova-plugin-media",
        "clobbers": [
            "window.MediaError"
        ]
    },
    {
        "id": "cordova-plugin-media.Media",
        "file": "plugins/cordova-plugin-media/www/Media.js",
        "pluginId": "cordova-plugin-media",
        "clobbers": [
            "window.Media"
        ]
    },
    {
        "id": "cordova-plugin-media-capture.CaptureAudioOptions",
        "file": "plugins/cordova-plugin-media-capture/www/CaptureAudioOptions.js",
        "pluginId": "cordova-plugin-media-capture",
        "clobbers": [
            "CaptureAudioOptions"
        ]
    },
    {
        "id": "cordova-plugin-media-capture.CaptureImageOptions",
        "file": "plugins/cordova-plugin-media-capture/www/CaptureImageOptions.js",
        "pluginId": "cordova-plugin-media-capture",
        "clobbers": [
            "CaptureImageOptions"
        ]
    },
    {
        "id": "cordova-plugin-media-capture.CaptureVideoOptions",
        "file": "plugins/cordova-plugin-media-capture/www/CaptureVideoOptions.js",
        "pluginId": "cordova-plugin-media-capture",
        "clobbers": [
            "CaptureVideoOptions"
        ]
    },
    {
        "id": "cordova-plugin-media-capture.CaptureError",
        "file": "plugins/cordova-plugin-media-capture/www/CaptureError.js",
        "pluginId": "cordova-plugin-media-capture",
        "clobbers": [
            "CaptureError"
        ]
    },
    {
        "id": "cordova-plugin-media-capture.MediaFileData",
        "file": "plugins/cordova-plugin-media-capture/www/MediaFileData.js",
        "pluginId": "cordova-plugin-media-capture",
        "clobbers": [
            "MediaFileData"
        ]
    },
    {
        "id": "cordova-plugin-media-capture.MediaFile",
        "file": "plugins/cordova-plugin-media-capture/www/MediaFile.js",
        "pluginId": "cordova-plugin-media-capture",
        "clobbers": [
            "MediaFile"
        ]
    },
    {
        "id": "cordova-plugin-media-capture.helpers",
        "file": "plugins/cordova-plugin-media-capture/www/helpers.js",
        "pluginId": "cordova-plugin-media-capture",
        "runs": true
    },
    {
        "id": "cordova-plugin-media-capture.capture",
        "file": "plugins/cordova-plugin-media-capture/www/capture.js",
        "pluginId": "cordova-plugin-media-capture",
        "clobbers": [
            "navigator.device.capture"
        ]
    },
    {
        "id": "cordova-plugin-network-information.network",
        "file": "plugins/cordova-plugin-network-information/www/network.js",
        "pluginId": "cordova-plugin-network-information",
        "clobbers": [
            "navigator.connection",
            "navigator.network.connection"
        ]
    },
    {
        "id": "cordova-plugin-network-information.Connection",
        "file": "plugins/cordova-plugin-network-information/www/Connection.js",
        "pluginId": "cordova-plugin-network-information",
        "clobbers": [
            "Connection"
        ]
    },
    {
        "id": "cordova-plugin-ucfiletransfer.UCFileTransferPlugin",
        "file": "plugins/cordova-plugin-ucfiletransfer/www/ucfiletransfer.js",
        "pluginId": "cordova-plugin-ucfiletransfer",
        "clobbers": [
            "UCFileTransferPlugin"
        ]
    },
    {
        "id": "cordova-plugin-ucchivox.UCChiVoxPlugin",
        "file": "plugins/cordova-plugin-ucchivox/www/ucchivox.js",
        "pluginId": "cordova-plugin-ucchivox",
        "clobbers": [
            "UCChiVoxPlugin"
        ]
    },
    {
        "id": "cordova-plugin-ucmediaselector.UCMediaSelectorPlugin",
        "file": "plugins/cordova-plugin-ucmediaselector/www/ucmediaselector.js",
        "pluginId": "cordova-plugin-ucmediaselector",
        "clobbers": [
            "UCMediaSelectorPlugin"
        ]
    },
    {
    "id": "cordova-plugin-uckvstorage.UCKVStoragePlugin",
    "file": "plugins/cordova-plugin-uckvstorage/www/uckvstorage.js",
    "pluginId": "cordova-plugin-uckvstorage",
    "clobbers": [
               "UCKVStoragePlugin"
               ]
    },
    {
    "id": "cordova-plugin-ucfoo.UCFooPlugin",
    "file": "plugins/cordova-plugin-ucfoo/www/ucfoo.js",
    "pluginId": "cordova-plugin-ucfoo",
    "clobbers": [
               "UCFooPlugin"
               ]
    },
    {
     "id": "cordova-plugin-uchttptask.UCHttpTaskPlugin",
     "file": "plugins/cordova-plugin-uchttptask/www/uchttptask.js",
     "pluginId": "cordova-plugin-uchttptask",
     "clobbers": [
                "UCHttpTaskPlugin"
                ]
     },
     {
     "id": "cordova-plugin-ionic-keyboard.Keyboard",
     "file": "plugins/cordova-plugin-ionic-keyboard/www/keyboard.js",
     "pluginId": "cordova-plugin-ionic-keyboard",
     "clobbers": [
                "window.Keyboard"
                ]
     },
     {
      "id": "cordova-plugin-uctencenttai.UCTencentTaiPlugin",
      "file": "plugins/cordova-plugin-uctencenttai/www/uctencenttai.js",
      "pluginId": "cordova-plugin-uctencenttai",
      "clobbers": [
                "UCTencentTaiPlugin"
              ]
      },
      {
       "id": "cordova-plugin-ucaudio.UCAudioPlugin",
       "file": "plugins/cordova-plugin-ucaudio/www/ucaudio.js",
       "pluginId": "cordova-plugin-ucaudio",
       "clobbers": [
                       "UCAudioPlugin"
                  ]
       },
       {
       "id": "cordova-plugin-ucvideo.UCVideoPlugin",
       "file": "plugins/cordova-plugin-ucvideo/www/ucvideo.js",
       "pluginId": "cordova-plugin-ucvideo",
       "clobbers": [
                        "UCVideoPlugin"
                   ]
       },
       {
            "id": "cordova-plugin-nimaudiochat.NimAudioChatPlugin",
            "file": "plugins/cordova-plugin-nimaudiochat/www/nimaudiochat.js",
            "pluginId": "cordova-plugin-nimaudiochat",
            "clobbers": [
                       "NimAudioChatPlugin"
                       ]
        },
        {
        "id": "cordova-plugin-uctextinput.UCTextInputPlugin",
        "file": "plugins/cordova-plugin-uctextinput/www/uctextinput.js",
        "pluginId": "cordova-plugin-uctextinput",
        "clobbers": [
                         "UCTextInputPlugin"
                    ]
        }

];
module.exports.metadata =
// TOP OF METADATA
{
    "cordova-plugin-dialogs": "1.3.3",
    "cordova-plugin-file": "4.3.3",
    "cordova-plugin-media": "3.0.1",
    "cordova-plugin-media-capture": "1.4.3",
    "cordova-plugin-network-information": "1.3.3",
    "cordova-plugin-ucfiletransfer": "0.2.3",
    "cordova-plugin-ucchivox": "0.2.3",
    "cordova-plugin-ucmediaselector": "0.2.3",
    "cordova-plugin-ucfoo": "0.2.3",
    "cordova-plugin-uctencenttai": "0.2.3",
    "cordova-plugin-ucaudio": "0.2.3",
    "cordova-plugin-ucvideo": "0.2.3",
    "cordova-plugin-uctextinput": "0.2.3",
};
// BOTTOM OF METADATA
});
