cordova.define("cordova-plugin-ucchivox.UCChiVoxPlugin", function(require, exports, module) {
               
               var argscheck = require('cordova/argscheck'),
               utils = require('cordova/utils'),
               exec = require('cordova/exec');
    
var UCChiVoxPlugin = function (successCallback,recorderEndCallback, errorCallback, statusCallback) {
    this.id = utils.createUUID();
    this.successCallback = successCallback;
    this.recorderEndCallback = recorderEndCallback;
    this.errorCallback = errorCallback;
    this.statusCallback = statusCallback;
}

UCChiVoxPlugin.prototype.start = function (text, rank, type) {
    exec(this.successCallback, this.errorCallback, "UCChiVoxPlugin", "start", [text,rank,type]);
}

UCChiVoxPlugin.prototype.stop = function () {
    exec(this.recorderEndCallback, this.errorCallback, "UCChiVoxPlugin", "stop", null);
}
               
UCChiVoxPlugin.prototype.cancel = function () {
    exec(null, this.errorCallback, "UCChiVoxPlugin", "cancel", null);
}
module.exports = UCChiVoxPlugin;

});
