cordova.define("cordova-plugin-ucfiletransfer.UCFileTransferPlugin", function(require, exports, module) {
               
               var argscheck = require('cordova/argscheck'),
               utils = require('cordova/utils'),
               exec = require('cordova/exec');
    
var UCFileTransferPlugin = function (successCallback, errorCallback, statusCallback) {
    this.id = utils.createUUID();
    this.successCallback = successCallback;
    this.errorCallback = errorCallback;
    this.statusCallback = statusCallback;
}

UCFileTransferPlugin.prototype.uploadFile = function (filename, filetype, courseid, fromType, fromFunction, isConvert) {
    exec(this.successCallback, this.errorCallback, "UCFileTransferPlugin", "uploadFile", [filetype, filename, courseid, fromType, fromFunction, isConvert]);
}


module.exports = UCFileTransferPlugin;

});
