cordova.define("cordova-plugin-ucfoo.UCFooPlugin", function(require, exports, module) {
               
               var argscheck = require('cordova/argscheck'),
               utils = require('cordova/utils'),
               exec = require('cordova/exec');
    
var UCFooPlugin = function () {

    this.type = 'unknow'
}

UCFooPlugin.prototype.naviGoback = function () {
   var ok = function(){}
   var error = function(err){console.error('error when naviGoBack', err)}
    exec(ok, error, "UCFooPlugin", "naviGoback", []);
}
UCFooPlugin.prototype.next = function (id) {
               var ok = function(){}
               var error = function(err){console.error('error when naviGoBack', err)}
               exec(ok, error, "UCFooPlugin", "next", [id]);
}
UCFooPlugin.prototype.dialog = function (title, message, buttons, callback, errorCallback) {
   var ok = function(buttonName){
               if(callback){callback(buttonName)}
    }
   var error = function(err){
    console.error('error when naviGoBack', err);
   if(errorCallback){errorCallback(err)}
   }
    exec(ok, error, "UCFooPlugin", "dialog", [title, message, buttons]);
}
         
UCFooPlugin.prototype.localMedia = function (successCallbak, errorCallback, url, type, isCache) {
    exec(successCallbak, errorCallback, "UCFooPlugin", "localMedia", [url, type, isCache]);
}
               
UCFooPlugin.prototype.toast = function (message, duration) {
   var ok = function(){}
   var error = function(err){console.error('error when naviGoBack', err)}
    exec(ok, error, "UCFooPlugin", "toast", [message, duration]);
}

UCFooPlugin.prototype.checkAuthority = function (successCallbak, errorCallback, type) {
   exec(successCallbak, errorCallback, "UCFooPlugin", "checkAuthority", [type]);
}
UCFooPlugin.prototype.selectGroupMember = function (successCallbak, errorCallback, exerciseId, classId, curriculaId, selectedMembers) {
   exec(successCallbak, errorCallback, "UCFooPlugin", "selectGroupMember", [exerciseId, classId, curriculaId, selectedMembers]);
}
UCFooPlugin.prototype.openWebview = function (closeCallback, errorCallback, url, title, args) {
   exec(closeCallback, errorCallback, "UCFooPlugin", "openWebview", [url, title, args]);
}

UCFooPlugin.prototype.openSystemBrowser = function (successCallback, errorCallback, url) {
    exec(successCallback, errorCallback, "UCFooPlugin", "openSystemBrowser", [url]);
}

UCFooPlugin.prototype.playMedia = function (successCallback, errorCallback, type, url) {
    exec(successCallback, errorCallback, "UCFooPlugin", "playMedia", [type, url]);
}

UCFooPlugin.prototype.mediaInfo = function (successCallback, errorCallback, type, url) {
    exec(successCallback, errorCallback, "UCFooPlugin", "mediaInfo", [type, url]);
}

UCFooPlugin.prototype.getDeviceInfo = function (successCallback) {
    var error = function(err){console.error('error when getDeviceInfo', err)}
    exec(successCallback, error, "UCFooPlugin", "getDeviceInfo", []);
}

UCFooPlugin.prototype.shareUrl = function (successCallback, errorCallback, url, title, desc, thumbUrl) {
    exec(successCallback, errorCallback, "UCFooPlugin", "shareUrl", [url, title, desc, thumbUrl]);
}

UCFooPlugin.prototype.checkUpdate = function (successCallback, errorCallback) {
    exec(successCallback, errorCallback, "UCFooPlugin", "checkUpdate", []);
}

UCFooPlugin.prototype.startExternalBrowser = function (successCallback, errorCallback, url) {
    exec(successCallback, errorCallback, "UCFooPlugin", "startExternalBrowser", [ url]);
}

UCFooPlugin.prototype.revived = function (successCallback, errorCallback, module,moduleGroup, url) {
    exec(successCallback, errorCallback, "UCFooPlugin", "revived", [module,moduleGroup, url]);
}

UCFooPlugin.prototype.log = function (successCallback, errorCallback, level, code, category, message) {
    exec(successCallback, errorCallback, "UCFooPlugin", "log", [level, code, category, message]);
}

UCFooPlugin.prototype.dnsIp = function (successCallback, errorCallback) {
    exec(successCallback, errorCallback, "UCFooPlugin", "dnsIp", []);
}

UCFooPlugin.prototype.setNaviBackGround = function (successCallback, errorCallback, color) {
    exec(successCallback, errorCallback, "UCFooPlugin", "setNaviBackGround", [color]);
}

UCFooPlugin.prototype.updateLifeCycle = function (successCallback) {
      var error = function(err){console.error('error when updateLifeCycle', err)}
       exec(successCallback, error, "UCFooPlugin", "updateLifeCycle", []);
}

UCFooPlugin.prototype.naviGobackAndRefresh = function () {
   var ok = function(){}
   var error = function(err){console.error('error when naviGobackAndRefresh', err)}
    exec(ok, error, "UCFooPlugin", "naviGobackAndRefresh", []);
}

var me = new UCFooPlugin()

module.exports = me;

});
