cordova.define("cordova-plugin-uckvstorage.UCKVStoragePlugin", function(require, exports, module) {
               
        //var argscheck = require('cordova/argscheck'),
        //utils = require('cordova/utils'),
        exec = require('cordova/exec');

        var UCKVStoragePlugin = function () {

        }

        UCKVStoragePlugin.prototype.saveData = function (space, key, value) {
           return new Promise(function(resolve, reject) {
                              var ok = function(){
                                console.log('callback of plugin..........')
                                resolve(key)
                              }
                              var err = function(e){reject(e)}
                              exec(ok, err, "UCKVStoragePlugin", "saveData", [space, key, value]);
                              });
            
        }
                       
        UCKVStoragePlugin.prototype.loadData = function (space, key) {
           return new Promise(function(resolve, reject) {
                              var ok = function(v){resolve(v)}
                              var err = function(e){reject(e)}
                              exec(ok, err, "UCKVStoragePlugin", "loadData", [space, key]);
                              });
        }

        UCKVStoragePlugin.prototype.removeData = function (space, key) {
           return new Promise(function(resolve, reject) {
                              var ok = function(v){resolve(v)}
                              var err = function(e){reject(e)}
                              exec(ok, err, "UCKVStoragePlugin", "removeData", [space, key]);
                              });
        }

        module.exports = UCKVStoragePlugin;

    });
