cordova.define("cordova-plugin-ucmediaselector.UCMediaSelectorPlugin", function(require, exports, module) {
               
               var argscheck = require('cordova/argscheck'),
               utils = require('cordova/utils'),
               exec = require('cordova/exec');
    
var UCMediaSelectorPlugin = function (successCallback, errorCallback, statusCallback) {
    this.id = utils.createUUID();
    this.successCallback = successCallback;
    this.errorCallback = errorCallback;
    this.statusCallback = statusCallback;
}

UCMediaSelectorPlugin.prototype.selectMedia = function (mediaType) {
    exec(this.successCallback, this.errorCallback, "UCMediaSelectorPlugin", "selectMedia", [mediaType]);
}

module.exports = UCMediaSelectorPlugin;

});
